---
apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: haproxy-test
  annotations:
    kubernetes.io/ingress.class: "haproxy"
    cert-manager.io/cluster-issuer: letsencrypt-haproxy
    acme.cert-manager.io/http01-ingress-class: "haproxy"
spec:
  rules:
    - host: let-01-upgrade-haproxy.let.ethz.ch
      http:
        paths:
          - backend:
              service:
                name: nginx-test
                port:
                  number: 8080
            pathType: Prefix
            path: /
  tls:
    - hosts:
        - let-01-upgrade-haproxy.let.ethz.ch
      secretName: let-01-upgrade-haproxy
